http_parse_headers
http_parse_params
HTTP Functions
PHP Manual

# http_parse_message

(PECL pecl_http:0.12.0-1.5.5)

http_parse_message — Parse HTTP messages

### Description

object http_parse_message ( string `$message` )

Parses the HTTP `message` into a simple recursive object.

### Parameters

`message`

  string containing a single HTTP message or several consecutive HTTP messages

### Return Values

Returns a hierarchical object structure of the parsed messages.

### Examples

Example #1 Using http_parse_message()

`<?php
define ('URL', 'http://www.example.com/');
print_r(http_parse_message(http_get(URL, array('redirect' => 3))));
?>`

The above example will output something similar to:

    stdClass object
    (
      [type] => 2
      [httpVersion] => 1.1
      [responseCode] => 200
      [headers] => Array
      (
        [Content-Length] => 3
        [Server] => Apache
      )
      [body] => Hi!
      [parentMessage] => stdClass object
      (
        [type] => 2
        [httpVersion] => 1.1
        [responseCode] => 302
        [headers] => Array
        (
          [Content-Length] => 0
          [Location] => ...
        )
        [body] =>
        [parentMessage] => ...
      )
    )

### See Also

- http_parse_headers()
- the HttpMessage class

http_parse_headers
http_parse_params
HTTP Functions
PHP Manual